org.apache.calcite.avatica

## Class MetaImpl.MetaImportedKey

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaImportedKey

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaImportedKey
    extends Object

Metadata describing an imported key.

### Field Summary

Fields
`short` `deferability`
`short` `deleteRule`
`String` `fkcolumnName`
`String` `fkName`
`String` `fktableCat`
`String` `fktableName`
`String` `fktableSchem`
`short` `keySeq`
`String` `pkcolumnName`
`String` `pkName`
`String` `pktableCat`
`String` `pktableName`
`String` `pktableSchem`
`short` `updateRule`

### Constructor Summary

Constructors
Constructor and Description
`MetaImportedKey(String pktableCat, String pktableSchem, String pktableName, String pkcolumnName, String fktableCat, String fktableSchem, String fktableName, String fkcolumnName, short keySeq, short updateRule, short deleteRule, String fkName, String pkName, short deferability)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pktableCat

    public final String pktableCat

#### pktableSchem

    public final String pktableSchem

#### pktableName

    public final String pktableName

#### pkcolumnName

    public final String pkcolumnName

#### fktableCat

    public final String fktableCat

#### fktableSchem

    public final String fktableSchem

#### fktableName

    public final String fktableName

#### fkcolumnName

    public final String fkcolumnName

#### keySeq

    public final short keySeq

#### updateRule

    public final short updateRule

#### deleteRule

    public final short deleteRule

#### fkName

    public final String fkName

#### pkName

    public final String pkName

#### deferability

    public final short deferability

### Constructor Detail

#### MetaImportedKey

    public MetaImportedKey(String pktableCat,
                           String pktableSchem,
                           String pktableName,
                           String pkcolumnName,
                           String fktableCat,
                           String fktableSchem,
                           String fktableName,
                           String fkcolumnName,
                           short keySeq,
                           short updateRule,
                           short deleteRule,
                           String fkName,
                           String pkName,
                           short deferability)